Bug 972362 - RFE: initial-setup is lacking a network config option / spoke.
RFE: initial-setup is lacking a network config option / spoke.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: initial-setup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-06-08 18:03 EDT by Hans de Goede
Modified: 2015-02-18 06:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:12:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda simple-config patch (596 bytes, patch)
2013-07-17 14:18 EDT, Hans de Goede
no flags Details | Diff
initial_setup network spoke patch (3.37 KB, patch)
2013-07-17 14:29 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2013-06-08 18:03:23 EDT
Hi,

Date and time screen in initial-setup says:
"you need to setup networking first if you want to enable network time"

Which makes sense, and I would like to configure networking from intial-setup (for arm images at least this makes a ton of sense), but there is no network setup screen in the initial setup!

Regards,

Hans


p.s.

I like initial-setup, good stuff!
Comment 1 Vratislav Podzimek 2013-06-19 10:04:22 EDT
(In reply to Hans de Goede from comment #0)
> Hi,
> 
> Date and time screen in initial-setup says:
> "you need to setup networking first if you want to enable network time"
> 
> Which makes sense, and I would like to configure networking from
> intial-setup (for arm images at least this makes a ton of sense), but there
> is no network setup screen in the initial setup!
> 
> Regards,
> 
> Hans
> 
> 
> p.s.
> 
> I like initial-setup, good stuff!
Thanks, you seem to be the only exception. ;) Patch posted to anaconda-patches.
Comment 2 Vratislav Podzimek 2013-06-24 08:20:48 EDT
I'm pushing the patches to master. If you'd like the Network spoke to appear in the I-S, please propose this bug as a freeze exception [1]

[1] https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process#Proposing_freeze_exception_bugs
Comment 3 Hans de Goede 2013-07-17 14:17:31 EDT
Hi,

(In reply to Vratislav Podzimek from comment #2)
> I'm pushing the patches to master.

Thanks for working on this! And sorry for being a but late with my reply. I've been working on testing F-19 initial-setup with a network spoke the entire day today, based on your patches.

And I'm afraid your patches are a bit incomplete. But no worries I've patches to add on top which fix things and make everything work. I've tested configuring both wired and wireless ethernet on various arm devices through initial-setup, and with the patches I'm about to attach this works fine.

This requires 2 patches on top of your already committed & pushed anaconda change and your uncommitted initial_setup patch:

anaconda-simpleconfig.patch:

Simple-config has special code for writing ifcfg files as those cannot be moved into place, but need to be written in place, both so that NetworkManager sees them, and so that they get the right selinux context as creating them in /tmp and then moving them makes them keep there /tmp selinux context.

Funny enough the code has a comment why the write() method is being overridden and then the
write method simply calls the base class write method which does the wrong thing ...  This patch fixes this.

initial_setup-network.patch:

Just adding the spoke is not enough, we also need to actually initialize networking, and execute the kickstart network directive. Executing the kickstart network directive requires having an install-class and a storage-object. This also moves the overriding of ROOT_PATH to the top, because its previous location was overriding ROOT_PATH too late for the kickstart network code.

Note I also have some patches to actually make the timezone screen in initial-setup write changes to disk (it is also used on the arm images). As well as an anaconda patch to fix a bug where created users need to immediately change their passwords, I'll file 2 separate bugs for these.
Comment 4 Hans de Goede 2013-07-17 14:18:49 EDT
Created attachment 774888 [details]
anaconda simple-config patch
Comment 5 Hans de Goede 2013-07-17 14:29:13 EDT
Created attachment 774899 [details]
initial_setup network spoke patch

p.s.

I'll be going on vacation for a week, so if you've any questions about the patches, and I'm not responding that is why. If there are questions I'll get back to you in a week.
Comment 6 Vratislav Podzimek 2013-09-10 06:01:07 EDT
Thanks for the patches. I applied changes from the the one for the Anaconda installer and sent it for a review. 

But the one for the Initial Setup is overly complicated, I think. We don't need to call ksdata.network.execute because that just takes care of writing out/copying configuration files from the installation environment to the installed system. However, the Initial Setup is running in the installed system and changes done in its UI are directly reflected to the system's state/configuration. The only exception is the hostname, that was changed only in the execute method so I sent a patch for that to anaconda-patches.
Comment 7 Hans de Goede 2013-09-10 06:21:41 EDT
(In reply to Vratislav Podzimek from comment #6)
> Thanks for the patches. I applied changes from the the one for the Anaconda
> installer and sent it for a review. 

Thanks!

> But the one for the Initial Setup is overly complicated, I think. We don't
> need to call ksdata.network.execute because that just takes care of writing
> out/copying configuration files from the installation environment to the
> installed system. However, the Initial Setup is running in the installed
> system and changes done in its UI are directly reflected to the system's
> state/configuration. The only exception is the hostname, that was changed
> only in the execute method so I sent a patch for that to anaconda-patches.

Ah, good idea to just write the hostname.

I look forward to testing this when there are F-20 packages available with these changes.

Thanks for all your work on this.
Comment 8 Fedora End Of Life 2015-01-09 17:34:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 06:12:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.